Skip to main content

User

View as Markdown

AccountUser object

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring<= 64 characters

External ID is not currently supported. It is reserved for future use.

idstringint64

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
userNamestringemail

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

account_idstringuuid

<Databricks> account ID

Get user details GA

GET /api/2.0/accounts/{account_id}/scim/v2/Users/{id}

Gets information for a specific user in <Databricks> account.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID for a user in the <Databricks> account.

attributesstringquery

Comma-separated list of attributes to return in response.

countint32query

Desired number of results per page. Default is 10000.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

Examples:

  • displayName co "john" and userName co "doe" : Users whose displayName contains john and userName contains doe.
  • displayName co "doe" : Users whose displayName contains doe.
  • displayName eq "john" : Users whose displayName equals john.
  • displayName ne "john" : Users whose displayName not equals john.
  • displayName co "john" or userName co "doe" : Users whose displayName contains john or userName contains doe.
  • displayName sw "jo" : Users whose displayName starts with jo.
sortBystringquery

Attribute to sort the results. Multi-part paths are supported. For example, userName, name.givenName, and emails.

sortOrderstringquery

The order to sort the results.

Values:

  • GET_SORT_ORDER_UNSPECIFIED
  • ascending
  • descending
startIndexint32integerquery

Specifies the index of the first result. First item is number 1.

Response

Returns the AccountUser object.

List users GA

GET /api/2.0/accounts/{account_id}/scim/v2/Users

Gets details for all the users associated with a <Databricks> account.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

attributesstringquery

Comma-separated list of attributes to return in response.

countint64<= 100query

Desired number of results per page. Default is 10000.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

Examples:

  • displayName co "john" and userName co "doe" : Users whose displayName contains john and userName contains doe.
  • displayName co "doe" : Users whose displayName contains doe.
  • displayName eq "john" : Users whose displayName equals john.
  • displayName ne "john" : Users whose displayName not equals john.
  • displayName co "john" or userName co "doe" : Users whose displayName contains john or userName contains doe.
  • displayName sw "jo" : Users whose displayName starts with jo.
sortBystringquery

Attribute to sort the results. Multi-part paths are supported. For example, userName, name.givenName, and emails.

sortOrderstringquery

The order to sort the results.

Values:

  • ORDER_UNSPECIFIED
  • ascending
  • descending
startIndexint64query

Specifies the index of the first result. First item is number 1.

Response

Returns a list of AccountUser objects.

Create a new user GA

POST /api/2.0/accounts/{account_id}/scim/v2/Users

Creates a new user in the <Databricks> account. This new user will also be added to the <Databricks> account.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

Request body

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith.

emailsarray of object

All the emails associated with the <Databricks> user.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

idstringint64

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
userNamestringemail

Email address of the <Databricks> user.

Response

Returns the AccountUser object.

Replace a user GA

PUT /api/2.0/accounts/{account_id}/scim/v2/Users/{id}

Replaces a user's information with the data supplied in request. The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

<Databricks> user ID.

Request body

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Indicates if the group has the admin role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
userNamestringemail

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Delete a user GA

DELETE /api/2.0/accounts/{account_id}/scim/v2/Users/{id}

Deletes a user. Deleting a user from a <Databricks> account also removes objects associated with the user.

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID for a user in the <Databricks> account.

Update user details GA

PATCH /api/2.0/accounts/{account_id}/scim/v2/Users/{id}

Partially updates a user resource by applying the supplied operations on specific user attributes. The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).

API scopes: scim

Parameters

account_idstringuuidRequiredpath

<Databricks> account ID

idstringint64Requiredpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values:

  • PATCH_OP_UNSPECIFIED
  • add
  • remove
  • replace
pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values:

  • PATCH_SCHEMA_UNSPECIFIED
  • urn:ietf:params:scim:api:messages:2.0:PatchOp